curl --request POST \
--url https://api.getoutbox.ai/agent/integration/{agent_id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"platform": "sms",
"id": "<string>",
"active": true,
"trigger": "",
"min_delay": 30,
"max_delay": 180
}
'import requests
url = "https://api.getoutbox.ai/agent/integration/{agent_id}"
payload = {
"platform": "sms",
"id": "<string>",
"active": True,
"trigger": "",
"min_delay": 30,
"max_delay": 180
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
platform: 'sms',
id: '<string>',
active: true,
trigger: '',
min_delay: 30,
max_delay: 180
})
};
fetch('https://api.getoutbox.ai/agent/integration/{agent_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getoutbox.ai/agent/integration/{agent_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'platform' => 'sms',
'id' => '<string>',
'active' => true,
'trigger' => '',
'min_delay' => 30,
'max_delay' => 180
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.getoutbox.ai/agent/integration/{agent_id}"
payload := strings.NewReader("{\n \"platform\": \"sms\",\n \"id\": \"<string>\",\n \"active\": true,\n \"trigger\": \"\",\n \"min_delay\": 30,\n \"max_delay\": 180\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.getoutbox.ai/agent/integration/{agent_id}")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"platform\": \"sms\",\n \"id\": \"<string>\",\n \"active\": true,\n \"trigger\": \"\",\n \"min_delay\": 30,\n \"max_delay\": 180\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.getoutbox.ai/agent/integration/{agent_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"platform\": \"sms\",\n \"id\": \"<string>\",\n \"active\": true,\n \"trigger\": \"\",\n \"min_delay\": 30,\n \"max_delay\": 180\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"active": true
}Create/Update Platform Integration
Create or update a platform integration for a chatbot agent. One per agent per platform: posting a platform the agent already has updates it, so send active: false to switch a channel off.
sms and email need nothing else connected. Every other platform needs GoHighLevel or Meta connected first.
Switching a channel on switches the same channel off on any other agent in the company: inbound messages on a channel go to one agent.
curl --request POST \
--url https://api.getoutbox.ai/agent/integration/{agent_id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"platform": "sms",
"id": "<string>",
"active": true,
"trigger": "",
"min_delay": 30,
"max_delay": 180
}
'import requests
url = "https://api.getoutbox.ai/agent/integration/{agent_id}"
payload = {
"platform": "sms",
"id": "<string>",
"active": True,
"trigger": "",
"min_delay": 30,
"max_delay": 180
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
platform: 'sms',
id: '<string>',
active: true,
trigger: '',
min_delay: 30,
max_delay: 180
})
};
fetch('https://api.getoutbox.ai/agent/integration/{agent_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getoutbox.ai/agent/integration/{agent_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'platform' => 'sms',
'id' => '<string>',
'active' => true,
'trigger' => '',
'min_delay' => 30,
'max_delay' => 180
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.getoutbox.ai/agent/integration/{agent_id}"
payload := strings.NewReader("{\n \"platform\": \"sms\",\n \"id\": \"<string>\",\n \"active\": true,\n \"trigger\": \"\",\n \"min_delay\": 30,\n \"max_delay\": 180\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.getoutbox.ai/agent/integration/{agent_id}")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"platform\": \"sms\",\n \"id\": \"<string>\",\n \"active\": true,\n \"trigger\": \"\",\n \"min_delay\": 30,\n \"max_delay\": 180\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.getoutbox.ai/agent/integration/{agent_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"platform\": \"sms\",\n \"id\": \"<string>\",\n \"active\": true,\n \"trigger\": \"\",\n \"min_delay\": 30,\n \"max_delay\": 180\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"active": true
}Authorizations
Company API Key
Path Parameters
The ID of the agent
Body
Platform integration details
Platform name
sms, email, webchat, facebook, instagram, whatsapp, phone "sms"
Integration ID (optional: posting a platform the agent already has updates it)
true switches the channel on, false switches it off. Defaults to true for a new integration
true
Trigger event. Send an empty string for sms and email
""
Minimum delay in seconds before replying
30
Maximum delay in seconds before replying
180

